-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: 2017-12-13 09:26:11
-- 服务器版本： 10.2.8-MariaDB
-- PHP Version: 5.6.31

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `weibo`
--

-- --------------------------------------------------------

--
-- 表的结构 `mr_at`
--

DROP TABLE IF EXISTS `mr_at`;
CREATE TABLE IF NOT EXISTS `mr_at` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `user_id` varchar(255) DEFAULT NULL COMMENT '用户id',
  `post_id` int(11) UNSIGNED DEFAULT NULL COMMENT '微博id',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=104 DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `mr_at`
--

INSERT INTO `mr_at` (`id`, `user_id`, `post_id`) VALUES
(102, '9', 314),
(103, '20', 321);

-- --------------------------------------------------------

--
-- 表的结构 `mr_collect`
--

DROP TABLE IF EXISTS `mr_collect`;
CREATE TABLE IF NOT EXISTS `mr_collect` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL COMMENT '用户id',
  `post_id` int(11) NOT NULL COMMENT '收藏微博id',
  `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否收藏：0 否；1 是',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=84 DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `mr_collect`
--

INSERT INTO `mr_collect` (`id`, `user_id`, `post_id`, `status`) VALUES
(81, 9, 314, 0),
(82, 20, 321, 0),
(83, 20, 326, 1);

-- --------------------------------------------------------

--
-- 表的结构 `mr_friends`
--

DROP TABLE IF EXISTS `mr_friends`;
CREATE TABLE IF NOT EXISTS `mr_friends` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `friend_id` int(11) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0:未关注；1:已关注',
  `addtime` char(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `mr_friends`
--

INSERT INTO `mr_friends` (`id`, `user_id`, `friend_id`, `status`, `addtime`) VALUES
(28, 9, 11, 1, '14743591');

-- --------------------------------------------------------

--
-- 表的结构 `mr_post`
--

DROP TABLE IF EXISTS `mr_post`;
CREATE TABLE IF NOT EXISTS `mr_post` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `content` text CHARACTER SET gb2312 NOT NULL,
  `addtime` varchar(50) CHARACTER SET gb2312 NOT NULL,
  `username` varchar(200) NOT NULL,
  `user_id` int(8) NOT NULL,
  `pid` int(8) NOT NULL DEFAULT 0 COMMENT '上级id',
  `post_type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '微博标示： 0 发布 ；1评论；2转发',
  `parent_user_id` int(8) NOT NULL DEFAULT 0 COMMENT '回复人的id',
  `pictures` text NOT NULL,
  `forward_num` int(8) NOT NULL DEFAULT 0 COMMENT '转发数量',
  `comment_num` int(8) NOT NULL DEFAULT 0 COMMENT '评论数',
  `praise_num` int(8) NOT NULL DEFAULT 0 COMMENT '点赞数',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=328 DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `mr_post`
--

INSERT INTO `mr_post` (`id`, `content`, `addtime`, `username`, `user_id`, `pid`, `post_type`, `parent_user_id`, `pictures`, `forward_num`, `comment_num`, `praise_num`) VALUES
(314, '5座总冠军奖杯@明日科技 ', '1474358855', '科比', 11, 0, 0, 0, 'public/images/upload/post/147435881880922.jpg,public/images/upload/post/147435881859743.jpg', 1, 1, 1),
(315, '恭喜恭喜', '1474358970', '明日科技', 9, 314, 1, 11, '', 0, 0, 0),
(316, '谢谢你陪伴我们的日子', '1474359092', '明日科技', 9, 314, 2, 0, '', 0, 0, 0),
(317, '第一个微博~！', '1512634375', 'xiaojun', 20, 0, 0, 0, '', 0, 0, 0),
(318, 'alert(123)', '1512636535', 'xiaojun', 20, 0, 0, 0, '', 0, 0, 0),
(319, '[em_7][em_13][em_14]', '1512639821', 'xiaojun', 20, 0, 0, 0, '', 0, 0, 0),
(320, '[em_15]高冷', '1512641844', 'xiaojun', 20, 0, 0, 0, 'public/images/upload/post/151264183043247.jpg', 0, 0, 1),
(321, '@xiaojun 你好', '1512641978', 'xiaojun', 20, 0, 0, 0, '', 1, 1, 1),
(322, 'hello', '1512980245', 'xiaojun', 20, 321, 1, 20, '', 0, 0, 0),
(323, 'forword', '1513066046', 'xiaojun', 20, 321, 2, 0, '', 3, 0, 0),
(324, '                               ', '1513066056', 'xiaojun', 20, 323, 2, 0, '', 0, 0, 0),
(325, '                               ', '1513066075', 'xiaojun', 20, 323, 2, 0, '', 0, 0, 0),
(326, '                               ', '1513067063', 'xiaojun', 20, 323, 2, 0, '', 0, 1, 0),
(327, '123', '1513068893', 'tu', 21, 326, 1, 20, '', 0, 0, 0);

-- --------------------------------------------------------

--
-- 表的结构 `mr_praise`
--

DROP TABLE IF EXISTS `mr_praise`;
CREATE TABLE IF NOT EXISTS `mr_praise` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL COMMENT '用户id',
  `post_id` int(11) NOT NULL COMMENT '收藏微博id',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=77 DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `mr_praise`
--

INSERT INTO `mr_praise` (`id`, `user_id`, `post_id`) VALUES
(74, 9, 314),
(75, 20, 321),
(76, 20, 320);

-- --------------------------------------------------------

--
-- 表的结构 `mr_user`
--

DROP TABLE IF EXISTS `mr_user`;
CREATE TABLE IF NOT EXISTS `mr_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `addtime` char(10) NOT NULL,
  `sex` tinyint(1) NOT NULL DEFAULT 0 COMMENT '性别：0保密；1男；2女',
  `qq` varchar(50) DEFAULT NULL COMMENT 'qq号',
  `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
  `avatar` varchar(255) DEFAULT NULL COMMENT '头像',
  `posts_num` int(8) NOT NULL DEFAULT 0 COMMENT '发微博的数量',
  `follows_num` int(8) NOT NULL DEFAULT 0 COMMENT '关注数量',
  `fans_num` int(8) NOT NULL DEFAULT 0 COMMENT '粉丝数量',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

--
-- 转存表中的数据 `mr_user`
--

INSERT INTO `mr_user` (`id`, `username`, `password`, `addtime`, `sex`, `qq`, `email`, `avatar`, `posts_num`, `follows_num`, `fans_num`) VALUES
(11, '科比', 'e10adc3949ba59abbe56e057f20f883e', '1470629025', 1, '694798056', '', '57e0ee10c62d1.jpg', 1, 0, 1),
(12, 'James', 'e10adc3949ba59abbe56e057f20f883e', '1470629025', 1, '', '', '', 0, 0, 0),
(9, '明日科技', 'fdb390e945559e74475ed8c8bbb48ca5', '1470629025', 1, '694798057', '694798056@qq.com', '57c7b5e5b00f5.jpg', 1, 1, 0),
(10, 'andy', 'e10adc3949ba59abbe56e057f20f883e', '1470629025', 2, '694798056', 'andy@qq.com', '57df771d663f2.jpg', 0, 0, 0),
(13, '马龙', 'e10adc3949ba59abbe56e057f20f883e', '1470629025', 1, '694798056', '', '', 0, 0, 0),
(15, '乔丹', 'e10adc3949ba59abbe56e057f20f883e', '1472691746', 0, '', '', '', 0, 0, 0),
(16, '易建联', 'e10adc3949ba59abbe56e057f20f883e', '1472692195', 0, '', '', '', 0, 0, 0),
(20, 'xiaojun', '202cb962ac59075b964b07152d234b70', '1512523416', 0, '1', 'cc', '5a30eedfe1dc7.jpg', 9, 0, 0),
(21, 'tu', 'caf1a3dfb505ffed0d024130f58c5cfa', '1512955496', 0, NULL, NULL, '5a2f832029fce.jpg', 0, 0, 0);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
